Permalink
Browse files

docs: fixed a typo in the sample code for $drizzle_thread_id reported…

… by 岚偑/yy秋叶. also added note that we can work with nginx 1.3.7 and 1.2.4.
  • Loading branch information...
1 parent 0f975c6 commit 3f8efb787d05e7cf8a5eb8372848d69e277de3dc @agentzh agentzh committed Oct 16, 2012
Showing with 21 additions and 21 deletions.
  1. +7 −7 README
  2. +7 −7 README.markdown
  3. +7 −7 doc/HttpDrizzleModule.wiki
View
14 README
@@ -372,7 +372,7 @@ Variables
location /main {
content_by_lua '
- local res = ngx.location.catpure("/query")
+ local res = ngx.location.capture("/query")
if res.status ~= ngx.HTTP_OK then
local tid = res.header["X-Mysql-Tid"]
if tid and tid ~= "" then
@@ -566,12 +566,12 @@ Installation
(<http://github.com/agentzh/drizzle-nginx-module/tags>).
* Grab the nginx source code from nginx.org (<http://nginx.org/>), for
- example, the version 1.2.3 (see nginx compatibility), and then build
+ example, the version 1.2.4 (see nginx compatibility), and then build
the source with this module:
- wget 'http://nginx.org/download/nginx-1.2.3.tar.gz'
- tar -xzvf nginx-1.2.3.tar.gz
- cd nginx-1.2.3/
+ wget 'http://nginx.org/download/nginx-1.2.4.tar.gz'
+ tar -xzvf nginx-1.2.4.tar.gz
+ cd nginx-1.2.4/
# if you have installed libdrizzle to the prefix /opt/drizzle, then
# specify the following environments:
@@ -597,9 +597,9 @@ Compatibility
The following versions of Nginx should work with this module:
- * 1.3.x (last tested: 1.3.4)
+ * 1.3.x (last tested: 1.3.7)
- * 1.2.x (last tested: 1.2.3)
+ * 1.2.x (last tested: 1.2.4)
* 1.1.x (last tested: 1.1.5)
View
@@ -381,7 +381,7 @@ Here's an example:
location /main {
content_by_lua '
- local res = ngx.location.catpure("/query")
+ local res = ngx.location.capture("/query")
if res.status ~= ngx.HTTP_OK then
local tid = res.header["X-Mysql-Tid"]
if tid and tid ~= "" then
@@ -584,11 +584,11 @@ Alternatively, you can compile this module with Nginx core's source by hand:
You can fix this by pointing `python` to `python2`.
* Download the latest version of the release tarball of this module from drizzle-nginx-module [file list](http://github.com/agentzh/drizzle-nginx-module/tags).
-* Grab the nginx source code from [nginx.org](http://nginx.org/), for example, the version 1.2.3 (see [nginx compatibility](http://wiki.nginx.org/HttpDrizzleModule#Compatibility)), and then build the source with this module:
+* Grab the nginx source code from [nginx.org](http://nginx.org/), for example, the version 1.2.4 (see [nginx compatibility](http://wiki.nginx.org/HttpDrizzleModule#Compatibility)), and then build the source with this module:
- wget 'http://nginx.org/download/nginx-1.2.3.tar.gz'
- tar -xzvf nginx-1.2.3.tar.gz
- cd nginx-1.2.3/
+ wget 'http://nginx.org/download/nginx-1.2.4.tar.gz'
+ tar -xzvf nginx-1.2.4.tar.gz
+ cd nginx-1.2.4/
# if you have installed libdrizzle to the prefix /opt/drizzle, then
# specify the following environments:
@@ -614,8 +614,8 @@ This module has been tested on Linux and Mac OS X. Reports on other POSIX-compli
The following versions of Nginx should work with this module:
-* 1.3.x (last tested: 1.3.4)
-* 1.2.x (last tested: 1.2.3)
+* 1.3.x (last tested: 1.3.7)
+* 1.2.x (last tested: 1.2.4)
* 1.1.x (last tested: 1.1.5)
* 1.0.x (last tested: 1.0.8)
* 0.8.x (last tested: 0.8.55)
View
@@ -355,7 +355,7 @@ Here's an example:
location /main {
content_by_lua '
- local res = ngx.location.catpure("/query")
+ local res = ngx.location.capture("/query")
if res.status ~= ngx.HTTP_OK then
local tid = res.header["X-Mysql-Tid"]
if tid and tid ~= "" then
@@ -545,11 +545,11 @@ Alternatively, you can compile this module with Nginx core's source by hand:
</geshi>
: You can fix this by pointing <code>python</code> to <code>python2</code>.
* Download the latest version of the release tarball of this module from drizzle-nginx-module [http://github.com/agentzh/drizzle-nginx-module/tags file list].
-* Grab the nginx source code from [http://nginx.org/ nginx.org], for example, the version 1.2.3 (see [[#Compatibility|nginx compatibility]]), and then build the source with this module:
+* Grab the nginx source code from [http://nginx.org/ nginx.org], for example, the version 1.2.4 (see [[#Compatibility|nginx compatibility]]), and then build the source with this module:
<geshi lang="bash">
- wget 'http://nginx.org/download/nginx-1.2.3.tar.gz'
- tar -xzvf nginx-1.2.3.tar.gz
- cd nginx-1.2.3/
+ wget 'http://nginx.org/download/nginx-1.2.4.tar.gz'
+ tar -xzvf nginx-1.2.4.tar.gz
+ cd nginx-1.2.4/
# if you have installed libdrizzle to the prefix /opt/drizzle, then
# specify the following environments:
@@ -574,8 +574,8 @@ This module has been tested on Linux and Mac OS X. Reports on other POSIX-compli
The following versions of Nginx should work with this module:
-* 1.3.x (last tested: 1.3.4)
-* 1.2.x (last tested: 1.2.3)
+* 1.3.x (last tested: 1.3.7)
+* 1.2.x (last tested: 1.2.4)
* 1.1.x (last tested: 1.1.5)
* 1.0.x (last tested: 1.0.8)
* 0.8.x (last tested: 0.8.55)

0 comments on commit 3f8efb7

Please sign in to comment.